#
# spec file for package python-dojango
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-dojango
Version:        0.5.8
Release:        5.5
Url:            https://github.com/klipstein/dojango/
Summary:        App that helps you to use the client-side framework dojo
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/d/dojango/dojango-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-django
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Reusable django application that helps you to use the client-side framework dojo.
    - It provides capabilites to easily switch between several dojo versions and
      sources (e.g. aol, google, local)
    - Delivers helping utilities, that makes the development of rich internet
      applications in combination with dojo more comfortable.
    - It makes the building of your own packed dojo release easier.

%prep
%setup -q -n dojango-%{version}
# remove unwanted shebang
sed -i '/^#!/d' dojango/appengine/memcache_zipserve.py

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}/%{_prefix}

%files
%defattr(-,root,root,-)
%doc LICENSE README
%{python_sitelib}/*

%changelog
* Mon May  4 2015 benoit.monin@gmx.fr
- update to version 0.5.8:
  * no changelog available
- stop redefining python_sitelib and python_sitearch
- define python_sitelib only for SLE11
- update project URL
- point the source URL to pypi
- add python-setuptools as BuildREquires: needed by setup.py
- add fdupes as BuildRequires and call it after install
- remove unwanted shebang in memcache_zipserve.py
- add LICENSE to the package documentation
* Mon Apr  9 2012 alexandre@exatati.com.br
- Update to 0.5.5:
  - Sorry, no changelog atm.
* Mon Nov  7 2011 alexandre@exatati.com.br
- Update to 0.5.4:
  - Sorry, no changelog atm.
* Mon Nov  7 2011 alexandre@exatati.com.br
- Update to 0.5.3:
  - Sorry, no changelog atm.
* Fri May 27 2011 cfarrell@novell.com
- license update: BSD-3-Clause
  Correct syntax from http://spdx.org/licenses/
* Fri Apr 15 2011 alexandre@exatati.com.br
- Update to 0.5.2:
  - Sorry, no changelog.
- Regenerate spec file with py2pack;
- Add README file as documentation.
* Mon Dec 27 2010 alexandre@exatati.com.br
- Update to 0.5.1:
  - Using Dojo 1.5.0 and Claro theme as default, minor bugfixes.
* Thu Jul 15 2010 alexandre@exatati.com.br
- Update to 0.4.7;
- Spec file cleaned with spec-cleaner.
* Tue Nov 24 2009 alexandre@exatati.com.br
- Update to 0.4.6.
* Tue Nov 24 2009 alexandre@exatati.com.br
- Initial package (0.4.5) for openSUSE.
